# Package org.jsoup.nodes

@NonnullByDefault package org.jsoup.nodes
HTML document structure nodes.

Related Packages
Package
Description
org.jsoup
Contains the main `Jsoup` class, which provides convenient static access to the jsoup functionality.
Class
Description
Attribute
A single key + value attribute.
Attributes
The attributes of an Element.
CDataNode
A Character Data node, to support CDATA sections.
Comment
A comment node.
DataNode
A data node, for contents of style, script tags etc, where contents should not show in text().
Document
A HTML Document.
Document.OutputSettings
A Document's output settings control the form of the text() and html() methods.
Document.OutputSettings.Syntax
The output serialization syntax.
Document.QuirksMode
DocumentType
A `<!DOCTYPE>` node.
Element
A HTML element consists of a tag name, attributes, and child nodes (including text nodes and other elements).
Entities
HTML entities, and escape routines.
Entities.EscapeMode
FormElement
A HTML Form Element provides ready access to the form fields/controls that are associated with it.
Node
The base, abstract Node model.
PseudoTextElement
Represents a `TextNode` as an `Element`, to enable text nodes to be selected with the `Selector` `:matchText` syntax.
Range
A Range object tracks the character positions in the original input source where a Node starts or ends.
Range.Position
A Position object tracks the character position in the original input source where a Node starts or ends.
TextNode
A text node.
XmlDeclaration
An XML Declaration.